<html><head> <title>Rover Web Server</title>
    <head>
    <title>ESP IOT DASHBOARD</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="favicon.png">
    <link rel="stylesheet" type="text/css" href="style.css">
    </head>
    <body> <h1>Biohazard Rover Web Server</h1>
    
    <p>Rover : <strong>""" + motor_state + """</strong></p>
    
    <p><a href='/?forward'><button class="button">Forward</button></a></p>
    
    <p><a href='/?left'><button class="button">LEFT</button></a>
    <a href='/?right'><button class="button" >RIGHT</button></a></p>
    
    <p><a href='/?stop'><button class="button">STOP</button></a></p>
    
    <p><a href='/?activate-arm'><button class="button">Activate/Deactivate arm</button></a></p>
    <p><a href='/?Control Manual'><button class="button">Control Manual</button></a></p>
    <p><a href='/?Autopilot'><button class="button">Autopilot</button></a></p>

    <div class="topnav">
        <h1>Rover arm control</h1>
    </div>
    <div class="content">
        <div class="card-grid">
            <div class="card">
                <p class="card-title">Gripper</p>
                <p class="switch">
                    <input type="range" onchange="updateSliderPWM(this)" id="slider1" min="0" max="100" step="1" value ="0" class="slider">
                </p>
                <p class="state">Value: <span id="sliderValue1"></span></p>
            </div>
            <div class="card">
                <p class="card-title">Height</p>
                <p class="switch">
                    <input type="range" onchange="updateSliderPWM(this)" id="slider2" min="0" max="100" step="1" value ="0" class="slider">
                </p>
                <p class="state">Value: <span id="sliderValue2"></span></p>
            </div>
            <div class="card">
                <p class="card-title">Distance</p>
                <p class="switch">
                    <input type="range" onchange="updateSliderPWM(this)" id="slider3" min="0" max="100" step="1" value ="0" class="slider">
                </p>
                <p class="state">Value: <span id="sliderValue3"></span></p>
            </div>
            <div class="card">
                <p class="card-title">Pan</p>
                <p class="switch">
                    <input type="range" onchange="updateSliderPWM(this)" id="slider4" min="0" max="100" step="1" value ="0" class="slider">
                </p>
                <p class="state">Value: <span id="sliderValue4"></span></p>
            </div>
        </div>
    </div>


    </body></html>